=== modified file 'ivle/database.py'
--- ivle/database.py	2009-12-08 06:31:34 +0000
+++ ivle/database.py	2009-12-08 11:35:25 +0000
@@ -375,6 +375,9 @@
             if (enrolment and enrolment.role in (u'tutor', u'lecturer')) \
                or user.admin:
                 perms.add('edit')
+                # XXX Bug #493945 -- should tutors have this permission?
+                # Potentially move into the next category (lecturer & admin)
+                perms.add('enrol')
         return perms
 
     def get_enrolment(self, user):

=== modified file 'ivle/webapp/admin/subject.py'
--- ivle/webapp/admin/subject.py	2009-12-08 07:59:40 +0000
+++ ivle/webapp/admin/subject.py	2009-12-08 11:35:25 +0000
@@ -116,7 +116,7 @@
     """A form to enrol a user in an offering."""
     template = 'templates/enrol.html'
     tab = 'subjects'
-    permission = 'edit'
+    permission = 'enrol'
 
     def filter(self, stream, ctx):
         return stream | HTMLFormFiller(data=ctx['data'])

